Ubuntu 10.x ve 11.x Linux OS kullanıcıları, korumalı video içeriği oynatırken bazen Flash Player 11'de boş veya siyah bir ekran görmektedir. (Örneğin bu sorun, Amazon Instant Video gibi hizmetlerde görülmektedir.) Varsayılan ayar olarak yüklenmeyen eksik bir Ubuntu HAL (Donanım Soyutlaştırma Katmanı) modülü, bu davranışa neden olmaktadır. Sağlayıcının hata mesajları vermesi durumunda kullanıcılar DRM hatası 3323 veya 3322'yi görür.

Korumalı içerik oynatma için ön gereksinimler

Ubuntu 10.04 veya üzeri için Donanım Soyutlaştırma Katmanı'nın öncelikle apt-get kullanılarak yüklendiğinden emin olun.
(“hal” yükleme hatasına dikkat edin, hasarlı paket yükleme video oynatmayı etkilemeye devam edebilir.)

sudo apt-get install hal

"libhal" (HAL) kitaplık yüklemesinin tamamlanmasının ardından, tarayıcıyı kapatın ve aşağıdaki kabuk komutlarını uygulayarak Adobe Access dizinlerini silin:

cd ~/.adobe/Flash_Player
rm -rf NativeCache AssetCache APSPrivateData2

Not:

Donanım Soyutlaştırma Katmanı modülü eksikse, Flash Player yine de çalışmaya devam eder. Ancak Adobe Flash Access DRM (Dijital Hak Yönetimi) modülün gerektiren korumalı içeriği oynatamaz.

Linux'un hedeflenen 64 bit sürümlerine destek

Adobe, Flash Player 11 sitesinin sistem gereksinimleri bölümünde 32 bit ve 64 bit Linux için platform desteği yayınlamaktadır. Şu anda desteklenen dağıtımlar (32 bit ved 64 bit) Redhat Enterprise Linux 5.6 veya üzeri ve Ubuntu 10.04 veya üzeridir.

openSuse da desteklenmektedir.

Doğru 32 bit veya 64 bit Flash Player eklentisini yükleyin

Platformunuz ve mimariniz için en güncel Flash Player'ı yüklemek amacıyla http://www.adobe.com/go/flashplayer_tr adresine gidin.

Hangi Linux paketinin yükleneceğinden emin değilseniz daha fazla işletim sistemi seçeneği için Farklı bir işletim sisteminiz veya tarayıcınız var mı? seçeneğine tıklayın.

openSuse ve diğer Linux sürümleri

Bazı Linux dağıtımlarının, openSUSE gibi kendi paket yönetme yöntemleri bulunmaktadır. openSUSE, yerli paket formatı olarak RPM'yi kullanmaktadır. Ancak sistem yazılımı kurulumunu yönetmek için kendi üst düzey aracına sahiptir. 
openSuse (32 bit ve 64 bit) üzerinde .rpm yüklemeleri tutarlı olmayabilir. Bazen "Mesaja yanıt alınamadı (mesaj veriyolundan zaman aşımı)" genel hatasını verir.

Bu durumlarda .tar.gz arşivini indirin ve Flash Player'ı (libflashplayer.so) bu konuma yerleştirin:

/usr/lib/adobe-flashplugin/libflashplayer.so

Demo oynatıcıyı kullanarak korunan video içeriği oynatmayı test edin

  1. Adobe demo video oynatıcı içericiyi başlatın: http://drmtest2.adobe.com:8080/SVP/SampleVideoPlayer_FP.html
     
      Demo video kabuğunun sol alt köşesindeki Adobe Flash Player sürümünü not edin. 11.2 veya üzerini belirttiğinden emin olun.
       
  2. Örnek korumalı içeriği oynatın.
     
      "Video URL'sini girin: (büyük-küçük harf duyarlı)
    alanına aşağıdaki URL'yi girin:   http://drmtest2.adobe.com:8080/Content/anonymous.f4v
       
  3. Video içericinin altındaki [Oynat] düğmesine tıklayın.

anonymous.f4v korumalı içeriği oynatılır. (Bu video, Getty "tren" videosu olarak adlandırılmaktadır.)

 

Etkilenen ürünler

Adobe Flash Player 11, Flash Access (FAXS), Ubuntu 10.x ve 11.x Linux

Bu çalışma Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License kapsamında lisanslanmıştır  Creative Commons şartları, Twitter™ ve Facebook sitelerinde paylaşılanları kapsamaz.

Yasal Uyarılar   |   Çevrimiçi Gizlilik İlkesi